SWITCH_ROOT(8)

NOM
switch_root - Passer à un autre système de fichiers racine de l'arbre de montage

SYNOPSIS
switch_root [-hV]

switch_root nouvelle_racine init [argument ...]

DESCRIPTION
switch_root déplace /proc, /dev, /sys et /run déjà montés vers nouvelle_racine et fait de nouvelle_racine la nouvelle racine du système de fichiers et lance le processus init.

Attention : switch_root supprime récursivement tous les fichiers et répertoires de la racine actuelle du système de fichiers

OPTIONS

-h, --help
    Afficher un texte d'aide puis quitter.

-V, --version
    Afficher les informations sur la version et quitter.

VALEUR DE RETOUR
switch_root renvoie 0 en cas de réussite et 1 en cas d'échec.

NOTES
switch_root échouera si nouvelle_racine n'est pas la racine d'un montage. Si vous voulez passer la racine vers un répertoire qui ne convient pas à cette exigence, vous pouvez d'abord utiliser une astuce de remontage pour transformer n'importe quel répertoire en point de montage :

    mount --bind $DIR $DIR

VOIR AUSSI
chroot(2), init(8), mkinitrd(8), mount(8)

AUTEURS
Peter Jones <pjones@redhat.com>
Jeremy Katz <katzj@redhat.com>
Karel Zak <kzak@redhat.com>

DISPONIBILITÉ
La commande switch_root fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Florentin Duneau <fduneau AT gmail DOT com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.